namespace NetworkResurrector.Server.Application.Services
{
    public interface IShutdownService
    {
        string ShutdownMachine(string ipAddressOrMachineName);
        string ShutdownMachineWithManagementScope(string ipAddressOrMachineName);
        string ShutdownMachineWithManagementScope(string ipAddressOrMachineName, string user, string password, string domain);
    }
}